schemaVersion: 2.0.0

commandTests:
  - name: "Container Structure Test"
    command: "container-structure-test"
    args: [ "version" ]
    expectedOutput: [ "v1\\..*" ]
  - name: "Docker CLI"
    command: "docker"
    args: [ "--version" ]
    expectedOutput: [ "Docker version 20\\..*" ]
  - name: "Git"
    command: "git"
    args: [ "--version" ]
    expectedOutput: [ "git version 2\\..*" ]
  - name: "Grype"
    command: "grype"
    args: ["version"]
    expectedOutput: [ ".*Version:.*0\\.13\\..*" ]
  - name: "Hadolint"
    command: "hadolint"
    args: [ "--version" ]
    expectedOutput: [ "Haskell Dockerfile Linter 2\\..*" ]
  - name: "Node v16"
    command: "/home/dev/.nvm/versions/node/v16.4.1/bin/node"
    args: [ "--version" ]
    expectedOutput: [ "v16\\..*" ]
  - name: "Node v14"
    command: "/home/dev/.nvm/versions/node/v14.17.2/bin/node"
    args: [ "--version" ]
    expectedOutput: [ "14\\..*" ]
  - name: "Syft"
    command: "syft"
    args: ["version"]
    expectedOutput: [ ".*Version:.*0\\.19\\..*" ]

# Snyk and Semantic Release commands don't work during container test.
# Limited workaround is to check for the lib file.
fileExistenceTests:
  - name: "Semantic Release"
    path: "/home/dev/.nvm/versions/node/v16.4.1/bin/semantic-release"
    shouldExist: true
  - name: "Snyk"
    path: "/home/dev/.nvm/versions/node/v16.4.1/bin/snyk"
    shouldExist: true
